<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div sec:authorize="isAuthenticated()">
    Hello, <span sec:authentication="name" ></span>!
    <br>
    <a href="/logout">Logout</a>
</div>
<hr>
<h3>Login</h3>
<form action="/login" method="post">
    <input type="text" name="username" placeholder="Enter username">
    <br>
    <br>
    <input type="password" name="password" placeholder="Enter password">
    <br>
    <br>
    <input type="submit">
</form>
<br>
<a href="/adduser">Register</a>
</body>
</html>